Subject: bug#43530: closed (Re: bug#43530: wget: command not found)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 May 2021 03:50:02 +0000

Your bug report

#43530: wget: command not found

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43530: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43530
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43530: wget: command not found
From: Maxim Cournoyer <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], Leo Famulari <[email-masked]>
Date: Fri, 07 May 2021 23:49:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Leo Famulari 写道：
>> On Mon, Sep 21, 2020 at 09:06:42AM +0300, Efraim Flashner wrote:
>>> I will add that you can do 'guix package -i wget curl' to add those
>>> two
>>> packages in the installer environment. I will be the first to admit
>>> that
>>> I don't always remember to do that and have instead asked for help
>>> using
>>> netcat or telnet to send text to pastebin sites.
>>> How much space would it add to add one or both of these? curl 
>>> has more
>>> dependencies than wget, but we could always toss in busybox if we
>>> really
>>> felt pressed for space.
>>
>> I wonder if they are already in the image as transitive
>> dependencies.

I've added wget to the Guix base packages with commit 7a65beff0f.  It
adds about 3 MiB of mostly locale data, which seems reasonable.

Thank you!

Closing.

Maxim

Subject: wget: command not found
From: Jeffrey Walton <[email-masked]>
To: [email-masked]
Date: Sun, 20 Sep 2020 07:06:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Everyone,

This is not a bug. I think it's more a feature request.

    $ patchelf.sh: line 86: wget: command not found

Lack of wget is a bit unusual for a Linux distro. Usually an image has
either wget or curl installed. On Linux wget is usually installed; and
on OS X curl is usually installed.

Guix might consider adding Wget to its standard image.

Jeff